MD5SUM(1)

NAME
md5sum - compute and check MD5 message digest

SYNOPSIS
md5sum [OPTION] [FILE]...
md5sum [OPTION] --check [FILE]

DESCRIPTION

Print or check MD5 checksums. With no FILE, or when FILE is -, read standard input.

-b, --binary
    read files in binary mode (default on DOS/Windows)

-c, --check
    check MD5 sums against given list

-t, --text
    read files in text mode (default)

  The following two options are useful only when verifying checksums:

--status
    don't output anything, status code shows success

-w, --warn
    warn about improperly formated MD5 checksum lines

--help
    display this help and exit

--version
    output version information and exit

The sums are computed as described in RFC 1321. When checking, the input should be a former output of this program. The default mode is to print a line with checksum, a character indicating type (`*' for binary, ` ' for text), and name for each FILE.

REPORTING BUGS
Report bugs to <bug-textutils@gnu.org>.

SEE ALSO
The full documentation for md5sum is maintained as a Texinfo manual. If the info and md5sum programs are properly installed at your site, the command

    info md5sum

should give you access to the complete manual.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.